diff --git a/src/base/core/int.c b/src/base/core/int.c
index bc5c4dcae3..e2dfca25d7 100644
--- a/src/base/core/int.c
+++ b/src/base/core/int.c
@@ -913,7 +913,7 @@ static int int15(void)
 		/* Have to enable a20 before moving */
 		if (!a20)
 		    set_a20(1);
-		extmem_copy(dst_addr, src_addr, length);
+		memcpy_dos2dos(dst_addr, src_addr, length);
 		if (old_a20 != a20)
 		    set_a20(old_a20);
 		LWORD(eax) = 0;
diff --git a/src/base/init/init.c b/src/base/init/init.c
index f082720483..4251f29270 100644
--- a/src/base/init/init.c
+++ b/src/base/init/init.c
@@ -361,7 +361,7 @@ void low_mem_init(void)
         config.exitearly = 1;
         return;
     }
-    x_printf("Ext.Mem of size 0x%x at %p\n", EXTMEM_SIZE, ext_mem_base);
+    x_printf("Ext.Mem of size 0x%x\n", EXTMEM_SIZE);
     memcheck_addtype('x', "Extended memory (HMA+XMS)");
     memcheck_reserve('x', LOWMEM_SIZE + HMASIZE, EXTMEM_SIZE);
     dpmi_rsv_low -= EXTMEM_SIZE;
diff --git a/src/base/misc/hma.c b/src/base/misc/hma.c
index 082c8e308b..a7a11e882e 100644
--- a/src/base/misc/hma.c
+++ b/src/base/misc/hma.c
@@ -84,42 +84,3 @@ void
 hma_exit(void)
 {
 }
-
-void extmem_copy(unsigned dst, unsigned src, unsigned len)
-{
-  unsigned slen, dlen, clen, copied = 0;
-  unsigned s, d, edge = LOWMEM_SIZE + HMASIZE;
-  unsigned char *ps = NULL;
-
-  while ((clen = len - copied) > 0) {
-    slen = clen;
-    s = src + copied;
-    if (s >= edge)
-      ps = &ext_mem_base[s - edge];
-    else if (s + slen > edge)
-      slen = edge - s;
-
-    dlen = clen;
-    d = dst + copied;
-    if (d < edge && d + dlen > edge)
-      dlen = edge - d;
-
-    clen = _min(slen, dlen);
-    x_printf("INT15: copy 0x%x bytes from %#x to %#x%s\n",
-      clen, s, d, clen != len ? " (split)" : "");
-    if (d < edge) {
-      if (s < edge)
-	memmove_dos2dos(d, s, clen);
-      else
-	memcpy_2dos(d, ps, clen);
-      e_invalidate(d, clen);
-    } else {
-      unsigned char *pd = &ext_mem_base[d - edge];
-      if (s < edge)
-	memcpy_2unix(pd, s, clen);
-      else
-	memmove(pd, ps, clen);
-    }
-    copied += clen;
-  }
-}
diff --git a/src/include/hma.h b/src/include/hma.h
index dbd109a37d..4c85f04fb5 100644
--- a/src/include/hma.h
+++ b/src/include/hma.h
@@ -9,6 +9,5 @@
 
 extern int a20;
 void set_a20(int);
-void extmem_copy(unsigned dst, unsigned src, unsigned len);
 
 #endif
diff --git a/src/include/memory.h b/src/include/memory.h
index fd38da1264..f007e8522b 100644
--- a/src/include/memory.h
+++ b/src/include/memory.h
@@ -184,7 +184,6 @@ void *physaddr_to_unixaddr(dosaddr_t addr);
    give NULL pointer protection.
 */
 extern unsigned char *mem_base;
-#define ext_mem_base (mem_base + LOWMEM_SIZE + HMASIZE)
 
 #define LINP(a) ((unsigned char *)(uintptr_t)(a))
 unsigned char *MEM_BASE32(dosaddr_t a);
